Package com.github.lgooddatepicker.components

## Enum DatePickerSettings.DateArea

- java.lang.Object
- - java.lang.Enum<DatePickerSettings.DateArea>
  - - com.github.lgooddatepicker.components.DatePickerSettings.DateArea

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DatePickerSettings.DateArea>`

Enclosing class:
  DatePickerSettings

    public static enum DatePickerSettings.DateArea
    extends java.lang.Enum<DatePickerSettings.DateArea>

DateArea, These enumerations represent areas of the components whose color can be changed. These values are used with the setColor() function, to set the color of various areas of the DatePicker or the CalendarPanel. The default color for each area is also defined here. Note: A default color of "null" means that the default color for that element is supplied by the swing component. The default color for "BackgroundMonthAndYearNavigationButtons" is null, so those buttons will use the default background color supplied by the JButton class.

### Enum Constant Summary

Enum Constants
`BackgroundClearButton`
`BackgroundMonthAndYearMenuButtons`
`BackgroundMonthAndYearNavigationButtons`
`BackgroundOverallCalendarPanel`
`BackgroundTodayButton`
`BackgroundTopLeftLabelAboveWeekNumbers`
`CalendarBackgroundVetoedDates`
`CalendarDefaultBackgroundHighlightedDates`
`DatePickerTextInvalidDate`
`DatePickerTextValidDate`
`DatePickerTextVetoedDate`
`TextFieldBackgroundDisallowedEmptyDate`
`TextFieldBackgroundInvalidDate`
`TextFieldBackgroundValidDate`
`TextFieldBackgroundVetoedDate`

### Field Summary

Fields
`java.awt.Color` `defaultColor`

### Method Summary

All Methods Static Methods Concrete Methods
`static DatePickerSettings.DateArea` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DatePickerSettings.DateArea[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BackgroundClearButton

    public static final DatePickerSettings.DateArea BackgroundClearButton

#### BackgroundMonthAndYearMenuButtons

    public static final DatePickerSettings.DateArea BackgroundMonthAndYearMenuButtons

#### BackgroundMonthAndYearNavigationButtons

    public static final DatePickerSettings.DateArea BackgroundMonthAndYearNavigationButtons

#### BackgroundOverallCalendarPanel

    public static final DatePickerSettings.DateArea BackgroundOverallCalendarPanel

#### BackgroundTodayButton

    public static final DatePickerSettings.DateArea BackgroundTodayButton

#### BackgroundTopLeftLabelAboveWeekNumbers

    public static final DatePickerSettings.DateArea BackgroundTopLeftLabelAboveWeekNumbers

#### CalendarDefaultBackgroundHighlightedDates

    public static final DatePickerSettings.DateArea CalendarDefaultBackgroundHighlightedDates

#### CalendarBackgroundVetoedDates

    public static final DatePickerSettings.DateArea CalendarBackgroundVetoedDates

#### TextFieldBackgroundDisallowedEmptyDate

    public static final DatePickerSettings.DateArea TextFieldBackgroundDisallowedEmptyDate

#### TextFieldBackgroundInvalidDate

    public static final DatePickerSettings.DateArea TextFieldBackgroundInvalidDate

#### TextFieldBackgroundValidDate

    public static final DatePickerSettings.DateArea TextFieldBackgroundValidDate

#### TextFieldBackgroundVetoedDate

    public static final DatePickerSettings.DateArea TextFieldBackgroundVetoedDate

#### DatePickerTextInvalidDate

    public static final DatePickerSettings.DateArea DatePickerTextInvalidDate

#### DatePickerTextValidDate

    public static final DatePickerSettings.DateArea DatePickerTextValidDate

#### DatePickerTextVetoedDate

    public static final DatePickerSettings.DateArea DatePickerTextVetoedDate

### Field Detail

#### defaultColor

    public java.awt.Color defaultColor

### Method Detail

#### values

    public static DatePickerSettings.DateArea[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatePickerSettings.DateArea c : DatePickerSettings.DateArea.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatePickerSettings.DateArea valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null